summaryrefslogtreecommitdiffstats
path: root/source/a/mdadm
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2012-09-26 01:10:42 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:51:55 +0200
commit9664bee729d487bcc0a0bc35859f8e13d5421c75 (patch)
treeb428a16618e36ed864a8d76ea3435e19a452bf90 /source/a/mdadm
parent75a4a592e5ccda30715f93563d741b83e0dcf39e (diff)
downloadcurrent-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.gz
current-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.xz
Slackware 14.0slackware-14.0
Wed Sep 26 01:10:42 UTC 2012 Slackware 14.0 x86_64 stable is released! We're perfectionists here at Slackware, so this release has been a long time a-brewing. But we think you'll agree that it was worth the wait. Slackware 14.0 combines modern components, ease of use, and flexible configuration... our "KISS" philosophy demands it. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Thanks to everyone who helped make this happen. The Slackware team, the upstream developers, and (of course) the awesome Slackware user community. Have fun! :-)
Diffstat (limited to 'source/a/mdadm')
-rw-r--r--source/a/mdadm/mdadm-3.1.5.tar.bz2.sign8
-rwxr-xr-xsource/a/mdadm/mdadm.SlackBuild76
-rw-r--r--source/a/mdadm/mdadm.static.diff11
3 files changed, 55 insertions, 40 deletions
diff --git a/source/a/mdadm/mdadm-3.1.5.tar.bz2.sign b/source/a/mdadm/mdadm-3.1.5.tar.bz2.sign
deleted file mode 100644
index e5c727688..000000000
--- a/source/a/mdadm/mdadm-3.1.5.tar.bz2.sign
+++ /dev/null
@@ -1,8 +0,0 @@
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v1.4.11 (GNU/Linux)
-Comment: See http://www.kernel.org/signature.html for info
-
-iD8DBQBNiYLLyGugalF9Dw4RAjiBAJkB62x+h+B7v24ghmwIUa2p44sWNwCeIZfe
-sW9YOnjL/odR4C9Uuzu5pUQ=
-=qI9A
------END PGP SIGNATURE-----
diff --git a/source/a/mdadm/mdadm.SlackBuild b/source/a/mdadm/mdadm.SlackBuild
index 71f7c1a31..7ede6ab77 100755
--- a/source/a/mdadm/mdadm.SlackBuild
+++ b/source/a/mdadm/mdadm.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,7 +21,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=3.1.5
+VERSION=${VERSION:-$(echo mdadm-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -34,22 +34,33 @@ if [ -z "$ARCH" ]; then
esac
fi
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-mdadm
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf mdadm-$VERSION
-tar xjvf $CWD/mdadm-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/mdadm-$VERSION.tar.?z || exit 1
cd mdadm-$VERSION
-# With glibc on the initrd and installer, there is no longer a
-# good reason to compile this statically. Commented out.
-## Build this static:
-##zcat $CWD/mdadm.static.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -57,28 +68,51 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Treating all warnings as errors causes the build to fail.
+sed -i "s,-Werror,," Makefile
+
make clean || exit 1
-make || exit 1
-#make mdadm.static
-make install DESTDIR=$PKG || exit 1
-#cat mdadm.static > $PKG/sbin/mdadm
-mv $PKG/usr/share/man $PKG/usr
-rmdir $PKG/usr/share
+make CXFLAGS="$SLKCFLAGS" MANDIR=/usr/man || exit 1
+make install MANDIR=/usr/man DESTDIR=$PKG || exit 1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
mkdir -p $PKG/etc
cat mdadm.conf-example > $PKG/etc/mdadm.conf.new
-gzip -9 $PKG/usr/man/man?/*.?
+
mkdir -p $PKG/usr/doc/mdadm-$VERSION
cp -a \
- ANNOUNCE-$VERSION COPYING* ChangeLog INSTALL TODO \
+ ANNOUNCE-$VERSION COPYING* INSTALL TODO \
$PKG/usr/doc/mdadm-$VERSION
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cd $PKG
-makepkg -l y -c n $TMP/mdadm-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/mdadm-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/a/mdadm/mdadm.static.diff b/source/a/mdadm/mdadm.static.diff
deleted file mode 100644
index ae8a46421..000000000
--- a/source/a/mdadm/mdadm.static.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./Makefile.orig 2009-03-10 01:01:17.000000000 -0500
-+++ ./Makefile 2010-05-16 20:56:33.000000000 -0500
-@@ -55,7 +55,7 @@
- CFLAGS = $(CWFLAGS) $(CXFLAGS) -DSendmail=\""$(MAILCMD)"\" $(CONFFILEFLAGS)
-
- # If you want a static binary, you might uncomment these
--# LDFLAGS = -static
-+LDFLAGS = -static
- # STRIP = -s
-
- INSTALL = /usr/bin/install